# -*- coding: utf8 -*-

shortname = "lorem"
program = "Lorem Ipsum Generator (%s)" % shortname
version = "0.6"
copyright = "Copyright (C) 2007 Per Erik Strandberg"
license = """This is free software, and you are welcome to redistribute it
under the GNU General Public License <http://www.gnu.org/licenses/gpl.html>
%s comes with NO WARRANTY, to the extent permitted by law.""" % shortname

# Copyright 2007 Per Erik Strandberg: per at pererikstrandberg dot se
#
# This program is free software you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.


GPLv3 = """GNU GENERAL PUBLIC LICENSE

Version 3, 29 June 2007

Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>

Everyone is permitted to copy and distribute verbatim copies of this license
document, but changing it is not allowed.

Preamble

The GNU General Public License is a free, copyleft license for software and
other kinds of works.

The licenses for most software and other practical works are designed to take
away your freedom to share and change the works. By contrast, the GNU General
Public License is intended to guarantee your freedom to share and change all
versions of a program--to make sure it remains free software for all its users.
We, the Free Software Foundation, use the GNU General Public License for most
of our software it applies also to any other work released this way by its
authors. You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our
General Public Licenses are designed to make sure that you have the freedom to
distribute copies of free software (and charge for them if you wish), that you
receive source code or can get it if you want it, that you can change the
software or use pieces of it in new free programs, and that you know you can
do these things.

To protect your rights, we need to prevent others from denying you these
rights or asking you to surrender the rights. Therefore, you have certain
responsibilities if you distribute copies of the software, or if you modify
it: responsibilities to respect the freedom of others.

For example, if you distribute copies of such a program, whether gratis or for
a fee, you must pass on to the recipients the same freedoms that you received.
You must make sure that they, too, receive or can get the source code. And you
must show them these terms so they know their rights.

Developers that use the GNU GPL protect your rights with two steps: (1) assert
copyright on the software, and (2) offer you this License giving you legal
permission to copy, distribute and/or modify it.

For the developers' and authors' protection, the GPL clearly explains that
there is no warranty for this free software. For both users' and authors'
sake, the GPL requires that modified versions be marked as changed, so that
their problems will not be attributed erroneously to authors of previous
versions.

Some devices are designed to deny users access to install or run modified
versions of the software inside them, although the manufacturer can do so.
This is fundamentally incompatible with the aim of protecting users' freedom
to change the software. The systematic pattern of such abuse occurs in the
area of products for individuals to use, which is precisely where it is most
unacceptable. Therefore, we have designed this version of the GPL to prohibit
the practice for those products. If such problems arise substantially in other
domains, we stand ready to extend this provision to those domains in future
versions of the GPL, as needed to protect the freedom of users.

Finally, every program is threatened constantly by software patents. States
should not allow patents to restrict development and use of software on
general-purpose computers, but in those that do, we wish to avoid the special
danger that patents applied to a free program could make it effectively
proprietary. To prevent this, the GPL assures that patents cannot be used to
render the program non-free.

The precise terms and conditions for copying, distribution and modification
follow.


TERMS AND CONDITIONS
0. Definitions.

"This License" refers to version 3 of the GNU General Public License.

"Copyright" also means copyright-like laws that apply to other kinds of works,
such as semiconductor masks.

"The Program" refers to any copyrightable work licensed under this License.
Each licensee is addressed as "you". "Licensees" and "recipients" may be
individuals or organizations.

To "modify" a work means to copy from or adapt all or part of the work in a
fashion requiring copyright permission, other than the making of an exact
copy. The resulting work is called a "modified version" of the earlier work or
a work "based on" the earlier work.

A "covered work" means either the unmodified Program or a work based on the
Program.

To "propagate" a work means to do anything with it that, without permission,
would make you directly or secondarily liable for infringement under
applicable copyright law, except executing it on a computer or modifying a
private copy. Propagation includes copying, distribution (with or without
modification), making available to the public, and in some countries other
activities as well.

To "convey" a work means any kind of propagation that enables other
parties to make or receive copies. Mere interaction with a user
through a computer network, with no transfer of a copy, is not
conveying.

An interactive user interface displays "Appropriate Legal Notices" to
the extent that it includes a convenient and prominently visible
feature that (1) displays an appropriate copyright notice, and (2)
tells the user that there is no warranty for the work (except to the
extent that warranties are provided), that licensees may convey the
work under this License, and how to view a copy of this License. If
the interface presents a list of user commands or options, such as a
menu, a prominent item in the list meets this criterion.  

1. Source Code.

The "source code" for a work means the preferred form of the work for
making modifications to it. "Object code" means any non-source form of
a work.

A "Standard Interface" means an interface that either is an official
standard defined by a recognized standards body, or, in the case of
interfaces specified for a particular programming language, one that
is widely used among developers working in that language.

The "System Libraries" of an executable work include anything, other
than the work as a whole, that (a) is included in the normal form of
packaging a Major Component, but which is not part of that Major
Component, and (b) serves only to enable use of the work with that
Major Component, or to implement a Standard Interface for which an
implementation is available to the public in source code form. A
"Major Component", in this context, means a major essential component
(kernel, window system, and so on) of the specific operating system
(if any) on which the executable work runs, or a compiler used to
produce the work, or an object code interpreter used to run it.

The "Corresponding Source" for a work in object code form means all
the source code needed to generate, install, and (for an executable
work) run the object code and to modify the work, including scripts to
control those activities. However, it does not include the work's
System Libraries, or general-purpose tools or generally available free
programs which are used unmodified in performing those activities but
which are not part of the work. For example, Corresponding Source
includes interface definition files associated with source files for
the work, and the source code for shared libraries and dynamically
linked subprograms that the work is specifically designed to require,
such as by intimate data communication or control flow between those
subprograms and other parts of the work.

The Corresponding Source need not include anything that users can
regenerate automatically from other parts of the Corresponding Source.

The Corresponding Source for a work in source code form is that same
work.  

2. Basic Permissions.

All rights granted under this License are granted for the term of
copyright on the Program, and are irrevocable provided the stated
conditions are met. This License explicitly affirms your unlimited
permission to run the unmodified Program. The output from running a
covered work is covered by this License only if the output, given its
content, constitutes a covered work. This License acknowledges your
rights of fair use or other equivalent, as provided by copyright law.

You may make, run and propagate covered works that you do not convey,
without conditions so long as your license otherwise remains in
force. You may convey covered works to others for the sole purpose of
having them make modifications exclusively for you, or provide you
with facilities for running those works, provided that you comply with
the terms of this License in conveying all material for which you do
not control copyright. Those thus making or running the covered works
for you must do so exclusively on your behalf, under your direction
and control, on terms that prohibit them from making any copies of
your copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the
conditions stated below. Sublicensing is not allowed section 10 makes
it unnecessary.

3. Protecting Users' Legal Rights From Anti-Circumvention Law.

No covered work shall be deemed part of an effective technological
measure under any applicable law fulfilling obligations under article
11 of the WIPO copyright treaty adopted on 20 December 1996, or
similar laws prohibiting or restricting circumvention of such
measures.

When you convey a covered work, you waive any legal power to forbid
circumvention of technological measures to the extent such
circumvention is effected by exercising rights under this License with
respect to the covered work, and you disclaim any intention to limit
operation or modification of the work as a means of enforcing, against
the work's users, your or third parties' legal rights to forbid
circumvention of technological measures.

4. Conveying Verbatim Copies.

You may convey verbatim copies of the Program's source code as you
receive it, in any medium, provided that you conspicuously and
appropriately publish on each copy an appropriate copyright notice
keep intact all notices stating that this License and any
non-permissive terms added in accord with section 7 apply to the code
keep intact all notices of the absence of any warranty and give all
recipients a copy of this License along with the Program.

You may charge any price or no price for each copy that you convey,
and you may offer support or warranty protection for a fee.

5. Conveying Modified Source Versions.

You may convey a work based on the Program, or the modifications to
produce it from the Program, in the form of source code under the
terms of section 4, provided that you also meet all of these
conditions:

    * a) The work must carry prominent notices stating that you
modified it, and giving a relevant date.
    * b) The work must carry prominent notices stating that it is
released under this License and any conditions added under section
7. This requirement modifies the requirement in section 4 to "keep
intact all notices".
    * c) You must license the entire work, as a whole, under this
License to anyone who comes into possession of a copy. This License
will therefore apply, along with any applicable section 7 additional
terms, to the whole of the work, and all its parts, regardless of how
they are packaged. This License gives no permission to license the
work in any other way, but it does not invalidate such permission if
you have separately received it.
    * d) If the work has interactive user interfaces, each must
display Appropriate Legal Notices however, if the Program has
interactive interfaces that do not display Appropriate Legal Notices,
your work need not make them do so.

A compilation of a covered work with other separate and independent
works, which are not by their nature extensions of the covered work,
and which are not combined with it such as to form a larger program,
in or on a volume of a storage or distribution medium, is called an
"aggregate" if the compilation and its resulting copyright are not
used to limit the access or legal rights of the compilation's users
beyond what the individual works permit. Inclusion of a covered work
in an aggregate does not cause this License to apply to the other
parts of the aggregate.  

6. Conveying Non-Source Forms.

You may convey a covered work in object code form under the terms of
sections 4 and 5, provided that you also convey the machine-readable
Corresponding Source under the terms of this License, in one of these
ways:

    * a) Convey the object code in, or embodied in, a physical product
(including a physical distribution medium), accompanied by the
Corresponding Source fixed on a durable physical medium customarily
used for software interchange.
    * b) Convey the object code in, or embodied in, a physical product
(including a physical distribution medium), accompanied by a written
offer, valid for at least three years and valid for as long as you
offer spare parts or customer support for that product model, to give
anyone who possesses the object code either (1) a copy of the
Corresponding Source for all the software in the product that is
covered by this License, on a durable physical medium customarily used
for software interchange, for a price no more than your reasonable
cost of physically performing this conveying of source, or (2) access
to copy the Corresponding Source from a network server at no charge.
    * c) Convey individual copies of the object code with a copy of
the written offer to provide the Corresponding Source. This
alternative is allowed only occasionally and noncommercially, and only
if you received the object code with such an offer, in accord with
subsection 6b.
    * d) Convey the object code by offering access from a designated
place (gratis or for a charge), and offer equivalent access to the
Corresponding Source in the same way through the same place at no
further charge. You need not require recipients to copy the
Corresponding Source along with the object code. If the place to copy
the object code is a network server, the Corresponding Source may be
on a different server (operated by you or a third party) that supports
equivalent copying facilities, provided you maintain clear directions
next to the object code saying where to find the Corresponding
Source. Regardless of what server hosts the Corresponding Source, you
remain obligated to ensure that it is available for as long as needed
to satisfy these requirements.
    * e) Convey the object code using peer-to-peer transmission,
provided you inform other peers where the object code and
Corresponding Source of the work are being offered to the general
public at no charge under subsection 6d.

A separable portion of the object code, whose source code is excluded
from the Corresponding Source as a System Library, need not be
included in conveying the object code work.

A "User Product" is either (1) a "consumer product", which means any
tangible personal property which is normally used for personal,
family, or household purposes, or (2) anything designed or sold for
incorporation into a dwelling. In determining whether a product is a
consumer product, doubtful cases shall be resolved in favor of
coverage. For a particular product received by a particular user,
"normally used" refers to a typical or common use of that class of
product, regardless of the status of the particular user or of the way
in which the particular user actually uses, or expects or is expected
to use, the product. A product is a consumer product regardless of
whether the product has substantial commercial, industrial or
non-consumer uses, unless such uses represent the only significant
mode of use of the product.

"Installation Information" for a User Product means any methods,
procedures, authorization keys, or other information required to
install and execute modified versions of a covered work in that User
Product from a modified version of its Corresponding Source. The
information must suffice to ensure that the continued functioning of
the modified object code is in no case prevented or interfered with
solely because modification has been made.

If you convey an object code work under this section in, or with, or
specifically for use in, a User Product, and the conveying occurs as
part of a transaction in which the right of possession and use of the
User Product is transferred to the recipient in perpetuity or for a
fixed term (regardless of how the transaction is characterized), the
Corresponding Source conveyed under this section must be accompanied
by the Installation Information. But this requirement does not apply
if neither you nor any third party retains the ability to install
modified object code on the User Product (for example, the work has
been installed in ROM).

The requirement to provide Installation Information does not include a
requirement to continue to provide support service, warranty, or
updates for a work that has been modified or installed by the
recipient, or for the User Product in which it has been modified or
installed. Access to a network may be denied when the modification
itself materially and adversely affects the operation of the network
or violates the rules and protocols for communication across the
network.

Corresponding Source conveyed, and Installation Information provided,
in accord with this section must be in a format that is publicly
documented (and with an implementation available to the public in
source code form), and must require no special password or key for
unpacking, reading or copying.  

7. Additional Terms.

"Additional permissions" are terms that supplement the terms of this
License by making exceptions from one or more of its
conditions. Additional permissions that are applicable to the entire
Program shall be treated as though they were included in this License,
to the extent that they are valid under applicable law. If additional
permissions apply only to part of the Program, that part may be used
separately under those permissions, but the entire Program remains
governed by this License without regard to the additional permissions.

When you convey a copy of a covered work, you may at your option
remove any additional permissions from that copy, or from any part of
it. (Additional permissions may be written to require their own
removal in certain cases when you modify the work.) You may place
additional permissions on material, added by you to a covered work,
for which you have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you
add to a covered work, you may (if authorized by the copyright holders
of that material) supplement the terms of this License with terms:

    * a) Disclaiming warranty or limiting liability differently from
the terms of sections 15 and 16 of this License or
    * b) Requiring preservation of specified reasonable legal notices
or author attributions in that material or in the Appropriate Legal
Notices displayed by works containing it or
    * c) Prohibiting misrepresentation of the origin of that material,
or requiring that modified versions of such material be marked in
reasonable ways as different from the original version or
    * d) Limiting the use for publicity purposes of names of licensors
or authors of the material or
    * e) Declining to grant rights under trademark law for use of some
trade names, trademarks, or service marks or
    * f) Requiring indemnification of licensors and authors of that
material by anyone who conveys the material (or modified versions of
it) with contractual assumptions of liability to the recipient, for
any liability that these contractual assumptions directly impose on
those licensors and authors.

All other non-permissive additional terms are considered "further
restrictions" within the meaning of section 10. If the Program as you
received it, or any part of it, contains a notice stating that it is
governed by this License along with a term that is a further
restriction, you may remove that term. If a license document contains
a further restriction but permits relicensing or conveying under this
License, you may add to a covered work material governed by the terms
of that license document, provided that the further restriction does
not survive such relicensing or conveying.

If you add terms to a covered work in accord with this section, you
must place, in the relevant source files, a statement of the
additional terms that apply to those files, or a notice indicating
where to find the applicable terms.

Additional terms, permissive or non-permissive, may be stated in the
form of a separately written license, or stated as exceptions the
above requirements apply either way.  

8. Termination.

You may not propagate or modify a covered work except as expressly
provided under this License. Any attempt otherwise to propagate or
modify it is void, and will automatically terminate your rights under
this License (including any patent licenses granted under the third
paragraph of section 11).

However, if you cease all violation of this License, then your license
from a particular copyright holder is reinstated (a) provisionally,
unless and until the copyright holder explicitly and finally
terminates your license, and (b) permanently, if the copyright holder
fails to notify you of the violation by some reasonable means prior to
60 days after the cessation.

Moreover, your license from a particular copyright holder is
reinstated permanently if the copyright holder notifies you of the
violation by some reasonable means, this is the first time you have
received notice of violation of this License (for any work) from that
copyright holder, and you cure the violation prior to 30 days after
your receipt of the notice.

Termination of your rights under this section does not terminate the
licenses of parties who have received copies or rights from you under
this License. If your rights have been terminated and not permanently
reinstated, you do not qualify to receive new licenses for the same
material under section 10.  9. Acceptance Not Required for Having
Copies.

You are not required to accept this License in order to receive or run
a copy of the Program. Ancillary propagation of a covered work
occurring solely as a consequence of using peer-to-peer transmission
to receive a copy likewise does not require acceptance. However,
nothing other than this License grants you permission to propagate or
modify any covered work. These actions infringe copyright if you do
not accept this License. Therefore, by modifying or propagating a
covered work, you indicate your acceptance of this License to do so.
10. Automatic Licensing of Downstream Recipients.

Each time you convey a covered work, the recipient automatically
receives a license from the original licensors, to run, modify and
propagate that work, subject to this License. You are not responsible
for enforcing compliance by third parties with this License.

An "entity transaction" is a transaction transferring control of an
organization, or substantially all assets of one, or subdividing an
organization, or merging organizations. If propagation of a covered
work results from an entity transaction, each party to that
transaction who receives a copy of the work also receives whatever
licenses to the work the party's predecessor in interest had or could
give under the previous paragraph, plus a right to possession of the
Corresponding Source of the work from the predecessor in interest, if
the predecessor has it or can get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the
rights granted or affirmed under this License. For example, you may
not impose a license fee, royalty, or other charge for exercise of
rights granted under this License, and you may not initiate litigation
(including a cross-claim or counterclaim in a lawsuit) alleging that
any patent claim is infringed by making, using, selling, offering for
sale, or importing the Program or any portion of it.  11. Patents.

A "contributor" is a copyright holder who authorizes use under this
License of the Program or a work on which the Program is based. The
work thus licensed is called the contributor's "contributor version".

A contributor's "essential patent claims" are all patent claims owned
or controlled by the contributor, whether already acquired or
hereafter acquired, that would be infringed by some manner, permitted
by this License, of making, using, or selling its contributor version,
but do not include claims that would be infringed only as a
consequence of further modification of the contributor version. For
purposes of this definition, "control" includes the right to grant
patent sublicenses in a manner consistent with the requirements of
this License.

Each contributor grants you a non-exclusive, worldwide, royalty-free
patent license under the contributor's essential patent claims, to
make, use, sell, offer for sale, import and otherwise run, modify and
propagate the contents of its contributor version.

In the following three paragraphs, a "patent license" is any express
agreement or commitment, however denominated, not to enforce a patent
(such as an express permission to practice a patent or covenant not to
sue for patent infringement). To "grant" such a patent license to a
party means to make such an agreement or commitment not to enforce a
patent against the party.

If you convey a covered work, knowingly relying on a patent license,
and the Corresponding Source of the work is not available for anyone
to copy, free of charge and under the terms of this License, through a
publicly available network server or other readily accessible means,
then you must either (1) cause the Corresponding Source to be so
available, or (2) arrange to deprive yourself of the benefit of the
patent license for this particular work, or (3) arrange, in a manner
consistent with the requirements of this License, to extend the patent
license to downstream recipients. "Knowingly relying" means you have
actual knowledge that, but for the patent license, your conveying the
covered work in a country, or your recipient's use of the covered work
in a country, would infringe one or more identifiable patents in that
country that you have reason to believe are valid.

If, pursuant to or in connection with a single transaction or
arrangement, you convey, or propagate by procuring conveyance of, a
covered work, and grant a patent license to some of the parties
receiving the covered work authorizing them to use, propagate, modify
or convey a specific copy of the covered work, then the patent license
you grant is automatically extended to all recipients of the covered
work and works based on it.

A patent license is "discriminatory" if it does not include within the
scope of its coverage, prohibits the exercise of, or is conditioned on
the non-exercise of one or more of the rights that are specifically
granted under this License. You may not convey a covered work if you
are a party to an arrangement with a third party that is in the
business of distributing software, under which you make payment to the
third party based on the extent of your activity of conveying the
work, and under which the third party grants, to any of the parties
who would receive the covered work from you, a discriminatory patent
license (a) in connection with copies of the covered work conveyed by
you (or copies made from those copies), or (b) primarily for and in
connection with specific products or compilations that contain the
covered work, unless you entered into that arrangement, or that patent
license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting
any implied license or other defenses to infringement that may
otherwise be available to you under applicable patent law.

12. No Surrender of Others' Freedom.

If conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License. If you cannot convey a
covered work so as to satisfy simultaneously your obligations under
this License and any other pertinent obligations, then as a
consequence you may not convey it at all. For example, if you agree to
terms that obligate you to collect a royalty for further conveying
from those to whom you convey the Program, the only way you could
satisfy both those terms and this License would be to refrain entirely
from conveying the Program.  

13. Use with the GNU Affero General Public License.

Notwithstanding any other provision of this License, you have
permission to link or combine any covered work with a work licensed
under version 3 of the GNU Affero General Public License into a single
combined work, and to convey the resulting work. The terms of this
License will continue to apply to the part which is the covered work,
but the special requirements of the GNU Affero General Public License,
section 13, concerning interaction through a network will apply to the
combination as such.  14. Revised Versions of this License.

The Free Software Foundation may publish revised and/or new versions
of the GNU General Public License from time to time. Such new versions
will be similar in spirit to the present version, but may differ in
detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program
specifies that a certain numbered version of the GNU General Public
License "or any later version" applies to it, you have the option of
following the terms and conditions either of that numbered version or
of any later version published by the Free Software Foundation. If the
Program does not specify a version number of the GNU General Public
License, you may choose any version ever published by the Free
Software Foundation.

If the Program specifies that a proxy can decide which future versions
of the GNU General Public License can be used, that proxy's public
statement of acceptance of a version permanently authorizes you to
choose that version for the Program.

Later license versions may give you additional or different
permissions. However, no additional obligations are imposed on any
author or copyright holder as a result of your choosing to follow a
later version.  

15. Disclaimer of Warranty.

THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY
APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT
HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT
WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND
PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE
DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR
CORRECTION.  

16. Limitation of Liability.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR
CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES
ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT
NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR
LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM
TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER
PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

17. Interpretation of Sections 15 and 16.

If the disclaimer of warranty and limitation of liability provided
above cannot be given local legal effect according to their terms,
reviewing courts shall apply local law that most closely approximates
an absolute waiver of all civil liability in connection with the
Program, unless a warranty or assumption of liability accompanies a
copy of the Program in return for a fee.

END OF TERMS AND CONDITIONS
How to Apply These Terms to Your New Programs

If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these
terms.

To do so, attach the following notices to the program. It is safest to
attach them to the start of each source file to most effectively state
the exclusion of warranty and each file should have at least the
"copyright" line and a pointer to where the full notice is found.

    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.

Also add information on how to contact you by electronic and paper mail.

If the program does terminal interaction, make it output a short notice
like this when it starts in an interactive mode:

    <program>  Copyright (C) <year>  <name of author>
    This program comes with ABSOLUTELY NO WARRANTY for details type 'show w'.
    This is free software, and you are welcome to redistribute it
    under certain conditions type 'show c' for details.

The hypothetical commands 'show w' and 'show c' should show the
appropriate parts of the General Public License. Of course, your
program's commands might be different for a GUI interface, you would
use an "about box".

You should also get your employer (if you work as a programmer) or
school, if any, to sign a "copyright disclaimer" for the program, if
necessary. For more information on this, and how to apply and follow
the GNU GPL, see <http://www.gnu.org/licenses/>.

The GNU General Public License does not permit incorporating your
program into proprietary programs. If your program is a subroutine
library, you may consider it more useful to permit linking proprietary
applications with the library. If this is what you want to do, use the
GNU Lesser General Public License instead of this License. But first,
please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."""


# Thanks to
#  * Barre, for the n overflow solution
#  * http://lipsum.sourceforge.net/whatis.php for source lorems and inspiration


from string import join

def get_lorem(q = 0):
    i = -1

    i += 1
    if q == i: 
        #This text is under public domain
        #Lorem ipsum
        #Cicero
        return u"""lorem ipsum dolor sit amet consetetur sadipscing elitr sed diam nonumy
eirmod tempor invidunt ut labore et dolore magna aliquyam erat sed diam
voluptua at vero eos et accusam et justo duo dolores et ea rebum stet clita
kasd gubergren no sea takimata sanctus est lorem ipsum dolor sit amet lorem
ipsum dolor sit amet consetetur sadipscing elitr sed diam nonumy eirmod
tempor invidunt ut labore et dolore magna aliquyam erat sed diam voluptua at
vero eos et accusam et justo duo dolores et ea rebum stet clita kasd
gubergren no sea takimata sanctus est lorem ipsum dolor sit amet lorem ipsum
dolor sit amet consetetur sadipscing elitr sed diam nonumy eirmod tempor
invidunt ut labore et dolore magna aliquyam erat sed diam voluptua at vero
eos et accusam et justo duo dolores et ea rebum stet clita kasd gubergren no
sea takimata sanctus est lorem ipsum dolor sit amet

duis autem vel eum iriure dolor in hendrerit in vulputate velit esse
molestie consequat vel illum dolore eu feugiat nulla facilisis at vero eros
et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril
delenit augue duis dolore te feugait nulla facilisi lorem ipsum dolor sit
amet consectetuer adipiscing elit sed diam nonummy nibh euismod tincidunt ut
laoreet dolore magna aliquam erat volutpat

ut wisi enim ad minim veniam quis nostrud exerci tation ullamcorper suscipit
lobortis nisl ut aliquip ex ea commodo consequat duis autem vel eum iriure
dolor in hendrerit in vulputate velit esse molestie consequat vel illum
dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio
dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te
feugait nulla facilisi

nam liber tempor cum soluta nobis eleifend option congue nihil imperdiet
doming id quod mazim placerat facer possim assum lorem ipsum dolor sit amet
consectetuer adipiscing elit sed diam nonummy nibh euismod tincidunt ut
laoreet dolore magna aliquam erat volutpat ut wisi enim ad minim veniam quis
nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea
commodo consequat

duis autem vel eum iriure dolor in hendrerit in vulputate velit esse
molestie consequat vel illum dolore eu feugiat nulla facilisis

at vero eos et accusam et justo duo dolores et ea rebum stet clita kasd
gubergren no sea takimata sanctus est lorem ipsum dolor sit amet lorem ipsum
dolor sit amet consetetur sadipscing elitr sed diam nonumy eirmod tempor
invidunt ut labore et dolore magna aliquyam erat sed diam voluptua at vero
eos et accusam et justo duo dolores et ea rebum stet clita kasd gubergren no
sea takimata sanctus est lorem ipsum dolor sit amet lorem ipsum dolor sit
amet consetetur sadipscing elitr at accusam aliquyam diam diam dolore
dolores duo eirmod eos erat et nonumy sed tempor et et invidunt justo labore
stet clita ea et gubergren kasd magna no rebum sanctus sea sed takimata ut
vero voluptua est lorem ipsum dolor sit amet lorem ipsum dolor sit amet
consetetur sadipscing elitr sed diam nonumy eirmod tempor invidunt ut labore
et dolore magna aliquyam erat

consetetur sadipscing elitr sed diam nonumy eirmod tempor invidunt ut labore
et dolore magna aliquyam erat sed diam voluptua at vero eos et accusam et
justo duo dolores et ea rebum stet clita kasd gubergren no sea takimata
sanctus est lorem ipsum dolor sit amet lorem ipsum dolor sit amet consetetur
sadipscing elitr sed diam nonumy eirmod tempor invidunt ut labore et dolore
magna aliquyam erat sed diam voluptua at vero eos et accusam et justo duo
dolores et ea rebum stet clita kasd gubergren no sea takimata sanctus est
lorem ipsum dolor sit amet lorem ipsum dolor sit amet consetetur sadipscing
elitr sed diam nonumy eirmod tempor invidunt ut labore et dolore magna
aliquyam erat sed diam voluptua at vero eos et accusam et justo duo dolores
et ea rebum stet clita kasd gubergren no sea takimata sanctus est lorem
ipsum dolor sit amet"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Childe Harold's Pilgrimage - Canto the first (I.-X.)
        #Lord Byron
        return u"""oh thou in hellas deemed of heavenly birth
muse formed or fabled at the minstrels will
since shamed full oft by later lyres on earth
mine dares not call thee from thy sacred hill
yet there ive wandered by thy vaunted rill
yes sighed oer delphis longdeserted shrine
where save that feeble fountain all is still
nor mote my shell awake the weary nine
to grace so plain a talethis lowly lay of mine

whilome in albions isle there dwelt a youth
who ne in virtues ways did take delight
but spent his days in riot most uncouth
and vexed with mirth the drowsy ear of night
ah me in sooth he was a shameless wight
sore given to revel and ungodly glee
few earthly things found favour in his sight
save concubines and carnal companie
and flaunting wassailers of high and low degree

childe harold was he hight but whence his name
and lineage long it suits me not to say
suffice it that perchance they were of fame
and had been glorious in another day
but one sad losel soils a name for aye
however mighty in the olden time
nor all that heralds rake from coffined clay
nor florid prose nor honeyed lines of rhyme
can blazon evil deeds or consecrate a crime

childe harold basked him in the noontide sun
disporting there like any other fly
nor deemed before his little day was done
one blast might chill him into misery
but long ere scarce a third of his passed by
worse than adversity the childe befell
he felt the fulness of satiety
then loathed he in his native land to dwell
which seemed to him more lone than eremites sad cell

for he through sins long labyrinth had run
nor made atonement when he did amiss
had sighed to many though he loved but one
and that loved one alas could neer be his
ah happy she to scape from him whose kiss
had been pollution unto aught so chaste
who soon had left her charms for vulgar bliss
and spoiled her goodly lands to gild his waste
nor calm domestic peace had ever deigned to taste

and now childe harold was sore sick at heart
and from his fellow bacchanals would flee
tis said at times the sullen tear would start
but pride congealed the drop within his ee
apart he stalked in joyless reverie
and from his native land resolved to go
and visit scorching climes beyond the sea
with pleasure drugged he almost longed for woe
and een for change of scene would seek the shades below

the childe departed from his fathers hall
it was a vast and venerable pile
so old it seemed only not to fall
yet strength was pillared in each massy aisle
monastic dome condemned to uses vile
where superstition once had made her den
now paphian girls were known to sing and smile
and monks might deem their time was come agen
if ancient tales say true nor wrong these holy men

yet ofttimes in his maddest mirthful mood
strange pangs would flash along childe harolds brow
as if the memory of some deadly feud
or disappointed passion lurked below
but this none knew nor haply cared to know
for his was not that open artless soul
that feels relief by bidding sorrow flow
nor sought he friend to counsel or condole
whateer this grief mote be which he could not control

and none did love him  though to hall and bower
he gathered revellers from far and near
he knew them flatterers of the festal hour
the heartless parasites of present cheer
yea none did love himnot his lemans dear 
but pomp and power alone are womans care
and where these are light eros finds a feere
maidens like moths are ever caught by glare
and mammon wins his way where seraphs might despair

childe harold had a mothernot forgot
though parting from that mother he did shun
a sister whom he loved but saw her not
before his weary pilgrimage begun
if friends he had he bade adieu to none
yet deem not thence his breast a breast of steel
ye who have known what tis to dote upon
a few dear objects will in sadness feel
such partings break the heart they fondly hope to heal"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Decameron - Novella Prima
        #Giovanni Boccaccio
        return u"""convenevole cosa e carissime donne che ciascheduna cosa la quale l'uomo fa
dallo ammirabile e santo nome di colui il quale di tutte fu facitore le dea
principio per che dovendo io al vostro novellare sí come primo dare
cominciamento intendo da una delle sue maravigliose cose incominciare accio
che quella udita la nostra speranza in lui sí come in cosa impermutabile si
fermi e sempre sia da noi il suo nome lodato manifesta cosa e che sí come le
cose temporali tutte sono transitorie e mortali cosí in sé e fuor di sé
esser piene di noia d'angoscia e di fatica e a infiniti pericoli sogiacere
alle quali senza niuno fallo né potremmo noi che viviamo mescolati in esse e
che siamo parte d'esse durare né ripararci se spezial grazia di dio forza e
avvedimento non ci prestasse la quale a noi e in noi non e da credere che
per alcun nostro merito discenda ma dalla sua propria benignita mossa e da'
prieghi di coloro impetrata che sí come noi siamo furon mortali e bene i
suoi piaceri mentre furono in vita seguendo ora con lui eterni son divenuti
e beati alli quali noi medesimi sí come a procuratori informati per
esperienza della nostra fragilita forse non audaci di porgere i prieghi
nostri nel cospetto di tanto giudice delle cose le quali a noi reputiamo
oportune gli porgiamo e ancora piú in lui verso noi di pietosa liberalita
pieno discerniamo che non potendo l'acume dell'occhio mortale nel segreto
della divina mente trapassare in alcun modo avvien forse tal volta che da
oppinione ingannati tale dinanzi alla sua maesta facciamo procuratore che da
quella con etterno essilio e iscacciato e nondimeno esso al quale niuna cosa
e occulta piú alla purita del pregator riguardando che alla sua ignoranza o
allo essilio del pregato cosí come se quegli fosse nel suo cospetto beato
essaudisce coloro che 'l priegano il che manifestamente potra apparire nella
novella la quale di raccontare intendo manifestamente dico non il giudicio
di dio ma quel degli uomini seguitando"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Faust: Der Tragödie erster Teil
        #Johann Wolfgang von Goethe
        return u"""ihr naht euch wieder schwankende gestalten
die früh sich einst dem trüben blick gezeigt
versuch ich wohl euch diesmal festzuhalten
fühl ich mein herz noch jenem wahn geneigt
ihr drängt euch zu  nun gut so mögt ihr walten
wie ihr aus dunst und nebel um mich steigt
mein busen fühlt sich jugendlich erschüttert
vom zauberhauch der euren zug umwittert

ihr bringt mit euch die bilder froher tage
und manche liebe schatten steigen auf
gleich einer alten halbverklungnen sage
kommt erste lieb und freundschaft mit herauf
der schmerz wird neu es wiederholt die klage
des lebens labyrinthisch irren lauf
und nennt die guten die um schöne stunden
vom glück getäuscht vor mir hinweggeschwunden

sie hören nicht die folgenden gesänge
die seelen denen ich die ersten sang
zerstoben ist das freundliche gedränge
verklungen ach  der erste widerklang
mein lied ertönt der unbekannten menge
ihr beifall selbst macht meinem herzen bang
und was sich sonst an meinem lied erfreuet
wenn es noch lebt irrt in der welt zerstreuet

und mich ergreift ein längst entwöhntes sehnen
nach jenem stillen ernsten geisterreich
es schwebet nun in unbestimmten tönen
mein lispelnd lied der äolsharfe gleich
ein schauer faßt mich träne folgt den tränen
das strenge herz es fühlt sich mild und weich
was ich besitze seh ich wie im weiten
und was verschwand wird mir zu wirklichkeiten"""

    i += 1
    if q == i: 
        #This text is under public domain
        #In der Fremde
        #Heinrich Heine
        return u"""es treibt dich fort von ort zu ort
du weißt nicht mal warum
im winde klingt ein sanftes wort
schaust dich verwundert um

die liebe die dahinten blieb
sie ruft dich sanft zurück
o komm zurück ich hab dich lieb
du bist mein einz'ges glück

doch weiter weiter sonder rast
du darfst nicht stillestehn
was du so sehr geliebet hast
sollst du nicht wiedersehn

du bist ja heut so grambefangen
wie ich dich lange nicht geschaut
es perlet still von deinen wangen
und deine seufzer werden laue

denkst du der heimat die so ferne
so nebelferne dir verschwand
gestehe mir's du wärest gerne
manchmal im teuren vaterland

denkst du der dame die so niedlich
mit kleinem zürnen dich ergötzt
oft zürntest du dann ward sie friedlich
und immer lachtet ihr zuletzt

denkst du der freunde die da sanken
an deine brust in großer stund'
im herzen stürmten die gedanken
jedoch verschwiegen blieb der mund

denkst du der mutter und der schwester
mit beiden standest du ja gut
ich glaube gar es schmilzt mein bester
in deiner brust der wilde mut

denkst du der vögel und der bäume
des schönen gartens wo du oft
geträumt der liebe junge träume
wo du gezagt wo du gehofft

es ist schon spät die nacht ist helle
trübhell gefärbt vom feuchten schnee
ankleiden muß ich mich nun schnelle
und in gesellschaft gehn o weh"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Le Bateau Ivre
        #Arthur Baudelaire
        return u"""comme je descendais des fleuves impassibles
je ne me sentis plus guidé par les haleurs 
des peaux-rouges criards les avaient pris pour cibles
les ayant cloués nus aux poteaux de couleurs

j'étais insoucieux de tous les équipages
porteur de blés flamands ou de cotons anglais
quand avec mes haleurs ont fini ces tapages
les fleuves m'ont laissé descendre ou je voulais

dans les clapotements furieux des marées
moi l'autre hiver plus sourd que les cerveaux d'enfants
je courus  et les péninsules démarrées
n'ont pas subi tohu-bohus plus triomphants

la tempete a béni mes éveils maritimes
plus léger qu'un bouchon j'ai dansé sur les flots
qu'on appelle rouleurs éternels de victimes
dix nuits sans regretter l'oeil niais des falots 

plus douce qu'aux enfants la chair des pommes sures
l'eau verte pénétra ma coque de sapin
et des taches de vins bleus et des vomissures
me lava dispersant gouvernail et grappin

et des lors je me suis baigné dans le poeme
de la mer infusé d'astres et lactescent
dévorant les azurs verts  ou flottaison bleme
et ravie un noyé pensif parfois descend 

ou teignant tout a coup les bleuités délires
et rythmes lents sous les rutilements du jour
plus fortes que l'alcool plus vastes que nos lyres
fermentent les rousseurs ameres de l'amour 

je sais les cieux crevant en éclairs et les trombes
et les ressacs et les courants  je sais le soir
l'aube exaltée ainsi qu'un peuple de colombes
et j'ai vu quelque fois ce que l'homme a cru voir 

j'ai vu le soleil bas taché d'horreurs mystiques
illuminant de longs figements violets
pareils a des acteurs de drames tres-antiques
les flots roulant au loin leurs frissons de volets 

j'ai revé la nuit verte aux neiges éblouies
baiser montant aux yeux des mers avec lenteurs
la circulation des seves inouies
et l'éveil jaune et bleu des phosphores chanteurs 

j'ai suivi des mois pleins pareille aux vacheries
hystériques la houle a l'assaut des récifs
sans songer que les pieds lumineux des maries
pussent forcer le mufle aux océans poussifs 

j'ai heurté savez-vous d'incroyables florides
melant aux fleurs des yeux de pantheres a peaux
d'hommes  des arcs-en-ciel tendus comme des brides
sous l'horizon des mers a de glauques troupeaux 

j'ai vu fermenter les marais énormes nasses
ou pourrit dans les joncs tout un léviathan 
des écroulement d'eau au milieu des bonaces
et les lointains vers les gouffres cataractant 

glaciers soleils d'argent flots nacreux cieux de braises 
échouages hideux au fond des golfes bruns
ou les serpents géants dévorés de punaises
choient des arbres tordus avec de noirs parfums 

j'aurais voulu montrer aux enfants ces dorades
du flot bleu ces poissons d'or ces poissons chantants
- des écumes de fleurs ont bercé mes dérades
et d'ineffables vents m'ont ailé par instants

parfois martyr lassé des pôles et des zones
la mer dont le sanglot faisait mon roulis doux
montait vers moi ses fleurs d'ombres aux ventouses jaunes
et je restais ainsi qu'une femme a genoux

presque île balottant sur mes bords les querelles
et les fientes d'oiseaux clabaudeurs aux yeux blonds
et je voguais lorsqu'a travers mes liens freles
des noyés descendaient dormir a reculons 

or moi bateau perdu sous les cheveux des anses
jeté par l'ouragan dans l'éther sans oiseau
moi dont les monitors et les voiliers des hanses
n'auraient pas repeché la carcasse ivre d'eau 

libre fumant monté de brumes violettes
moi qui trouais le ciel rougeoyant comme un mur
qui porte confiture exquise aux bons poetes
des lichens de soleil et des morves d'azur

qui courais taché de lunules électriques
planche folle escorté des hippocampes noirs
quand les juillets faisaient crouler a coups de triques
les cieux ultramarins aux ardents entonnoirs 

moi qui tremblais sentant geindre a cinquante lieues
le rut des béhémots et les maelstroms épais
fileur éternel des immobilités bleues
je regrette l'europe aux anciens parapets 

j'ai vu des archipels sidéraux  et des îles
dont les cieux délirants sont ouverts au vogueur 
- est-ce en ces nuits sans fond que tu dors et t'exiles
million d'oiseaux d'or ô future vigueur  -

mais vrai j'ai trop pleuré  les aubes sont navrantes
toute lune est atroce et tout soleil amer 
l'âcre amour m'a gonflé de torpeurs enivrantes
ô que ma quille éclate  ô que j'aille a la mer 

si je désire une eau d'europe c'est la flache
noire et froide ou vers le crépuscule embaumé
un enfant accroupi plein de tristesses lâche
un bateau frele comme un papillon de mai

je ne puis plus baigné de vos langueurs ô lames
enlever leur sillage aux porteurs de cotons
ni traverser l'orgueil des drapeaux et des flammes
ni nager sous les yeux horribles des pontons"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Le Masque
        #Arthur Rembaud
        return u"""contemplons ce trésor de grâces florentines
dans l'ondulation de ce corps musculeux
l'elégance et la force abondent soeurs divines
cette femme morceau vraiment miraculeux
divinement robuste adorablement mince
est faite pour trôner sur des lits somptueux
et charmer les loisirs d'un pontife ou d'un prince

aussi vois ce souris fin et voluptueux
ou la fatuité promene son extase
ce long regard sournois langoureux et moqueur
ce visage mignard tout encadré de gaze
dont chaque trait nous dit avec un air vainqueur
«la volupté m'appelle et l'amour me couronne»
a cet etre doué de tant de majesté
vois quel charme excitant la gentillesse donne
approchons et tournons autour de sa beauté

ô blaspheme de l'art ô surprise fatale
la femme au corps divin promettant le bonheur
par le haut se termine en monstre bicéphale

mais non ce n'est qu'un masque un décor suborneur
ce visage éclairé d'une exquise grimace
et regarde voici crispée atrocement
la véritable tete et la sincere face
renversée a l'abri de la face qui ment
pauvre grande beauté le magnifique fleuve
de tes pleurs aboutit dans mon coeur soucieux
ton mensonge m'enivre et mon âme s'abreuve
aux flots que la douleur fait jaillir de tes yeux

mais pourquoi pleure-t-elle elle beauté parfaite
qui mettrait a ses pieds le genre humain vaincu
quel mal mystérieux ronge son flanc d'athlete

elle pleure insensé parce qu'elle a vécu
et parce qu'elle vit mais ce qu'elle déplore
surtout ce qui la fait frémir jusqu'aux genoux
c'est que demain hélas il faudra vivre encore
demain apres-demain et toujours  comme nous"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Nagyon fáj
        #József Attila
        return u"""kivül belõl
leselkedõ halál elõl
mint lukba megriadt egérke

amíg hevülsz
az asszonyhoz úgy menekülsz
hogy óvjon karja öle térde

nemcsak a lágy
meleg öl csal nemcsak a vágy
de odataszít a muszáj is

ezért ölel
minden ami asszonyra lel
míg el nem fehérül a száj is

kettõs teher
s kettõs kincs hogy szeretni kell
ki szeret s párra nem találhat

oly hontalan
mint amilyen gyámoltalan
a szükségét végzõ vadállat

nincsen egyéb
menedékünk a kés hegyét
bár anyádnak szegezd te bátor

és lásd akadt
nõ ki érti e szavakat
de mégis ellökött magától

nincsen helyem
így élõk közt zúg a fejem
gondom s fájdalmam kicifrázva

mint a gyerek
kezében a csörgõ csereg
ha magára hagyottan rázza

mit kellene
tenni érte és ellene
nem szégyellem ha kitalálom

hisz kitaszít
a világ így is olyat akit
kábít a nap rettent az álom

a kultúra
úgy hull le rólam mint ruha
másról a boldog szerelemben

de az hol áll
hogy nézze mint dobál halál
s még egyedül kelljen szenvednem

a csecsemõ
is szenvedi ha szül a nõ
páros kínt enyhíthet alázat

de énnekem
pénzt hoz fájdalmas énekem
s hozzám szegõdik a gyalázat

segítsetek
ti kisfiúk a szemetek
pattanjon meg ott õ ahol jár

ártatlanok
csizmák alatt sikongjatok
és mondjátok neki¨nagyon fáj

ti hû ebek
kerék alá kerüljetek
s ugassátok neki nagyon fáj

nõk terhetek
viselõk elvetéljetek
és sírjátok neki nagyon fáj

ép emberek
bukjatok öszetörjetek
s motyogjatok neki nagyon fáj

ti férfiak
egymást megtépve nõ miatt
ne hallgassátok el nagyon fáj

lovak bikák
kiket hogy húzzatok igát
herélnek ríjjátok nagyon fáj

néma halak
horgot kapjatok jég alatt
és tátogjatok rá nagyon fáj

elevenek
minden mi kíntól megremeg
égjen hol laktok kert vadon táj

s ágya körül
üszkösen ha elszenderül
vakogjatok velem nagyon fáj

hallja míg él
azt tagadta meg amit ér
elvonta puszta kénye végett

kivül belõl
menekülõ élõ elõl
a legutolsó menedéket"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Ómagyar-Mária siralom
        #Ismeretlen
        return u"""volek syrolm thudothlon syrolmol sepedyk buol ozuk epedek walasth vylagumtul
sydou fyodumtul ezes urumemtuul o en eses urodum eggen yg fyodum syrou aniath
thekunched buabeleul kyniuhhad scemem kunuel arad en iunhum buol farad the
werud hullothya en iunhum olelothya vylag uilaga viragnac uiraga keseruen
kynzathul uos scegegkel werethul vh nequem en fyon ezes mezuul scegenul
scepsegud wirud hioll wyzeul syrolmom fuhazatum therthetyk kyul en iumhumnok
bel bua qui sumha nym kyul hyul wegh halal engumet eggedum illen maraggun
urodum kyth wylag felleyn o ygoz symeonnok bezzeg scouuo ere en erzem ez
buthuruth kyt niha egyre tuled ualmun de num ualallal hul yg kynzassal fyom
halallal sydou myth thez turuentelen fyom merth hol byuntelen fugwa huztuzwa
wklelue kethwe ulud keguggethuk fyomnok ne leg kegulm mogomnok owog halal
kynaal anyath ezes fyaal egembelu ullyetuk"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Robinsono Kruso (Esperanto)
        #Daniel Defoe
        return u"""mi naskigxis en jorko anglujo je marto kiu estas la
sesjarrego de la regxo karolo la unua infane mi sentadis grandan
deziron por pasigi mian vivon sur la maro kaj pliagxante la deziro
plifortigxis gxis fine mi forlasis mian lernejon kaj hejmon kaj
piede mi trovis mian vojon al hull kie mi baldaux trovis okupadon sur
sxipo

post kiam ni velveturis kelke da tagoj okazis ventego kaj kvinanokte
la sxipo enfendigxis cxiuj al la pumpiloj rapidis la sxipon ni sentis
gxemi en cxiuj siaj tabuloj kaj gxian trabajxon ektremi de la antauxa gxis
la posta parto kaj baldaux klarigxis ke ne estas ia espero por gxi kaj
ke cxio kion ni povas fari estas savi niajn vivojn

unue ni pafadis pafilegojn por venigi helpon kaj post kelke da
tempo sxipo kusxante ne malproksime alsendis boaton por helpi nin sed
la maro estis tro maltrankvila por gxi restadi sxipflanke tial ni
eljxetis sxnuregon kiun la boatanoj ekkaptis kaj firme fiksis kaj
tiamaniere ni cxiuj enboatigxis

tamen vanigxis en tia maltrankvila maro por peni albordigxi la sxipon
kiu alsendis la virojn aux aluzi la remilojn de la boato kaj ni ne
povis ion fari krom gxin lasi peligxi teron

duonhore nia sxipo trafis rifon kaj subakvigxis kaj gxin ni ne vidis
plu tre malrapide ni alproksimigxis teron kiun iafoje ni vidis kiam
ajn la boato levigxis sur la supro de ia alta ondo kaj tie ni vidis
homojn kurante amase tien kaj reen havante unu celon savi nin

fine gxojege ni surterigxis kie bonsxance ni renkontis amikojn kiuj
donis al ni helpon por reveturi al hull kaj se tiam mi havus la
bonan sencon por iri hejmon estus pli bone por mi

la viro kies sxipo subakvigxis diris kun grava mieno junulo ne iru
plu surmaron tiu ne estas la vivmaniero por vi kial do sinjoro
vi mem iros plu surmaron tiu estas alia afero mi estas elnutrita
por la maro sed vi ne estas vi venis sur mian sxipon por eltrovi la
staton de vivo surmara kaj vi povas diveni tion kio okazos al vi se
vi ne reiros hejmon dio ne benos vin kaj eble vi kauxzis tiun-cxi
tutan malbonon al ni

mi ne parolis alian vorton al li kiun vojon li iris mi nek scias
nek deziris sciigxi cxar mi estis ofendita pro tiu-cxi malgxentila
parolado mi multe pensis cxu iri hejmon aux cxu iradi surmaron honto
detenis min pri iri hejmon kaj mi ne povis decidi la vivkuron kiun
mi estis ironta

kiel estis mia sorto travive cxiam elekti la plej malbonon tiel same
mi nun faris mi havis oron en mia monujo kaj bonan vestajxon sur mia
korpo sed surmaron mi ree iris

sed nun mi havis pli malbonan sxancon ol iam cxar kiam ni estis tre
malproksime enmaro kelke da turkoj en sxipeto plencxase alproksimigxis
al ni ni levis tiom da veloj kiom niaj velstangoj povis elporti por
ke ni forkuru de ili tamen malgraux tio ni vidis ke niaj malamikoj
pli kaj pli alproksimigxis kaj certigxis ke baldaux ili atingos nian
sxipon

fine ili atingis nin sed ni direktis niajn pafilegojn sur ilin kio
kauxzis portempe ke ili deflanku sian vojon sed ili dauxrigis pafadon
sur ni tiel longe kiel ili estis en pafspaco proksimigxante la duan
fojon kelkaj viroj atingis la ferdekon de nia sxipo kaj ektrancxis la
velojn kaj ekfaris cxiuspecajn difektajxojn tial post kiam dek el
niaj sxipanoj kusxas mortitaj kaj la plimulto el la ceteraj havas
vundojn ni kapitulacis

la cxefo de la turkoj prenis min kiel sian rabajxon al haveno okupita
de mauxroj li ne agis al mi tiel malbone kiel mi lin unue jugxis sed
li min laborigis kun la ceteraj de siaj sklavoj tio estis sxangxo en
mia vivo kiun mi neniam antauxvidis ho ve kiom mia koro malgxojis
pensante pri tiuj kiujn mi lasis hejme al kiuj mi ne montris tiom da
komplezemo kiom diri adiauxi kiam mi iris surmaron aux sciigi tion
kion mi intencas fari

tamen cxio kion mi travivis tiam estas nur antauxgusto de la penadoj
kaj zorgoj kiujn de tiam estis mia sorto suferi

unue mi pensis ke la turko kunprenos min kun si kiam li ree iros
surmaron kaj ke mi iel povos liberigxi sed la espero nelonge dauxris
cxar tiatempe li lasis min surtere por prizorgi liajn rikoltojn
tiamaniere mi vivis du jarojn tamen la turko konante kaj vidante min
plu min pli kaj pli liberigis li unufoje aux dufoje cxiusemajne
veturis en sia boato por kapti iajn platfisxojn kaj iafoje li
kunprenis min kaj knabon kun si cxar ni estas rapidaj cxe tia sporto
kaj tial li pli kaj pli sxatis min

unu tagon la turko elsendis min viron kaj knabon boate por kapti
kelke da fisxoj surmare okazas tia densa nebulo ke dekduhore ni ne
povas vidi la teron kvankam ni ne estas pli ol duonmejlon 00
metrojn de la terbordo kaj morgauxtage kiam la suno levigxis nia
boato estas enmaro almenaux dek mejlojn  kilometrojn de la
terbordo la vento vigle blovis kaj ni cxiuj tre bezonis nutrajxon sed
fine per la helpo de remiloj kaj veloj ni sendangxere reatingis la
terbordon

kiam la turko sciigxis kiamaniere ni vojperdis li diris ke de nun
kiam li velveturos li prenos boaton kiu enhavos cxion kion ni
bezonus se ni longatempe estus detenataj surmare tial li farigis
grandan kajuton en la longboato de sia sxipo kiel ankaux cxambron por ni
sklavoj unu tagon li min sendis por ke mi ordigu la boaton pro tio
ke li havas du amikojn kiuj intencas veturi kun li por fisxkapti sed
kiam la tempo alvenis ili ne veturas tial li sendis min viron kaj
knabon -- kies nomo estas zuro -- por kapti kelke da fisxoj por la
gastoj kiuj estas vespermangxontaj kun li

subite eniris en mian kapon la ideo ke nun estas bona okazo boate
forkuri kaj liberigxi tial mi tuj prenis tiom da nutrajxo kiom mi
povas havigi kaj mi diris al la viro ke estus tro malrespekte
mangxante la panon metitan en la boaton por la turko li diris ke li
pensas tiel same tial li alportis sakon da rizo kaj kelke da ruskoj
kukoj

dum la viro estis surtere mi provizis iom da vino pecegon da vakso
segilon hakilon fosilon iom da sxnurego kaj cxiuspecajn objektojn
kiuj eble estos utilaj al ni mi sciis kie trovigxas la vinkesto de la
turko kaj mi gxin metis surboaton dum la viro estas surtere per alia
ruzo mi havigis cxion kion mi bezonis mi diris al la knabo la
pafiloj de la turko estas en la boato sed ne trovigxas ia pafajxo cxu
vi pensas ke vi povas havigi iom da gxi vi scias kie gxi estas
konservata kaj eble ni volos pafi birdon aux du li do alportis kesto
kaj saketon kiuj enhavas cxion kion ni eble bezonas por la pafiloj
tiujn-cxi mi metis surboaton kaj poste velveturis por fisxkapti

la vento blovis de la nordo aux nordokcidento tia vento estis malbona
por mi cxar se gxi estus de la sudo mi estus povinta velveturi al la
terbordo de hispanujo tamen de kiu ajn loko la vento blovos mi
estis decidinta forkuri kaj lasi la ceterajn al ilia sorto mi do
mallevis miajn hokfadenojn kvazaux fisxkapti sed mi zorgis ke mi havu
malbonan sukceson kaj kiam la fisxoj mordis mi ilin ne eltiris cxar
mi deziris ke la mauxro ilin ne vidu mi diris al li tiu-cxi loko
estas nebona ni ne kaptos fisxojn tie-cxi ni devas iom antauxen iri
nu la mauxro pensis ke tion fari ne estos malbone li levis la
velojn kaj cxar la direktilo estis en miaj manoj mi elsendis la
boaton unu mejlon aux plu enmaron kaj poste gxin haltigis kvazaux mi
intencas fisxkapti

nun mi pripensis tiu-cxi estas mia okazo liberigxi tial mi transdonis
la direktilon al la knabo kaj tiam ekprenis la mauxron cxirkaux la
talio kaj eljxetis lin el la boato

malsupren li falis sed baldaux reaperis por ke li povis nagxi kvazaux
anaso li diris ke li volonte irus cxirkaux la mondo kun mi se mi
enprenus lin

iom timante ke li surrampos la boatflankon kaj reenigxos perforte mi
direktis mian pafilon sur lin kaj diris vi facile povas nagxi
alteron se vi tion deziras tial rapidigxu tien plie se vi reen
alproksimigxos la boaton vi ricevos kuglon tra la kapo cxar mi de nun
intencas esti libera viro

tiam li eknagxis kaj sendube sendangxere atingis la terbordon cxar la
maro estis tre trankvila

unue mi intencis kunpreni la mauxron kun mi kaj nagxigi zuron alteron
sed la mauxro ne estis viro pri kiu mi povis konfidi

post kiam li forigxis mi diris al zuro se vi jxuros ke vi estos
fidela al mi vi iam farigxos grava viro se vi ne jxuros mi certe
ankaux vin eljxetos el la boato

la knabo tiel dolcxe ridetis kiam li jxuris resti fidela al mi ke mi
lin ne povis dubi en mia koro

dum ankoraux ni povis vidi la mauxron survoje alteren ni antauxen iris
enmaron por ke li kaj tiuj kiuj nin vidis de la terbordo kredu ke
ni iros al la influejo de la markolo cxar neniu velveturis al la suda
marbordo cxar tie logxas gento da homoj kiuj laux sciigoj mortigas kaj
mangxas siajn malamikojn

tiam mi direktis mian veturadon oriente por ke ni lauxlongiru la
marbordon kaj havante favoron venton kaj trankvilan maron ni
morgauxtagmeze estis malapud kaj preter la povo de la turko

ankoraux mi timis ke mi estus kaptota de la mauxroj tial mi ne volis
iri surteron tage duonlume ni direktis nian boaton alteren kaj
atingis la enfluejon riveretan de kiu mi pensis ni povos nagxi
surteron kaj tiam rigardi la cxirkauxajxojn sed kiam malheligxis la
lumo ni auxdis strangajn sonojn bojojn kriegojn gruntojn
blekadojn la malfelicxa knabo diris ke li ne kuragxas iri surteron
antaux la tagigxo nu mi diris tiuokaze ni atendu sed tage
povas vidi nin la homoj kiuj eble nin pli malhelpos ol sovagxaj
bestoj tiam ni pafilos ilin ridante diris zuro kaj forkurigu
ilin

mi gxojis vidi ke la knabo montras tiom da gajeco kaj mi donis al li
iom da pano kaj rizo tiunokte ni silente ripozis sed ne longe
dormis cxar post kelke da horoj iaj grandegaj bestoj malsuprenvenis
al la maro por sin bani la malfelicxa knabo ektremis de kapo al
piedoj pro la vidajxo unu el tiuj bestoj alproksimigxis nian boaton
kaj kvankam estis tro mallume por gxin bone vidi ni auxdis gxin blovi
kaj sciis pro gxia bruego ke gxi certe estas granda fine la bruto
tiom alproksimigxis la boaton kiom la longeco de du remiloj tial mi
pafis sur gxin kaj gxi nagxis alteren

la blekegoj kaj kriegoj kiujn faris bestoj kaj birdoj pro la bruo de
mia pafilo sxajne montris ke ni faris malbonan elekton por surterejo
sed vole ne vole ni devis iri surtere por sercxi fresxan fonton por
ke ni povu plenigi niajn barelojn zuro diris ke li eltrovus cxu la
fontaj akvoj tauxgas por trinki se mi permesus al li preni unu el la
botelegoj kaj ke li gxin reportos plenigitan se la akvo estas bona
kial vi volas iri mi diris kial mi ne estas ironta vi povas
resti en la boato kontrauxe zuro diris se la sovagxuloj venos ili
min mangxu sed vi forkuru mi devis ami la junulon pro la afabla
parolado nu mi diris ni ambaux iros kaj se la sovagxuloj venos
ni ilin mortigu ja ili ne mangxos aux vin aux min

mi donis al zuro iom da rumo el la kesto de la turko por reforti lin
kaj ni iris surteron la knabo ekiris kun sia pafilo mejlon de la
loko kie ni surteriris kaj li revenis kun leporo kiun li mortpafis
kaj kiun ni gxoje kuiris kaj mangxis laux la bona novajxo kiun li
raportis li eltrovis fonton kaj ne vidis sovagxulojn

mi divenis ke la promontoro de la verdaj insuloj ne estas
malproksime cxar mi vidis la supron de la granda pinto kiun kiel mi
sciis estas apud ili mia sola espero estis ke lauxlongirante la
terbordon ni trovos sxipon kiu ensxipigos nin kaj tiam kaj ne antaux
tiam mi sentos kvazaux libera viro unuvorte mi konfidis mian sorton
al la sxanco aux renkonti ian sxipon aux morti

surteron ni ekvidis iujn homojn kiuj staras kaj rigardas nin ili
estis nigraj kaj ne portis vestajxon mi estus irinta surteron al ili
sed zuro -- kiu sciis plej bone -- diris ne vi iru ne vi iru tial
mi direktis la boaton lauxteron por ke mi povu paroli kun ili kaj ili
longaspace iradis laux ni mi ekvidis ke unu havas lancon en mano

mi faris signojn ke ili alportu iom da nutrajxo al mi kaj ili
siaparte faris signojn ke mi haltu mian boaton tial mi demetis la
supran parton de mia velo kaj haltis tiam du el ili ekforkuris kaj
duonhore revenis kun iom da sekigxita viando kaj ia greno kiu kreskas
en tiu parto de la mondo tion-cxi ni deziregis sed ne sciis kiel
havigi gxin cxar ni ne kuragxis iri surteron al ili nek ili kuragxis
alproksimigxi al ni

fine ili eltrovis peron sendangxeran por ni cxiuj alportante la
nutrajxon al la marbordo ili gxin demetis kaj tre fortirigis si mem dum
ni gxin prenis ni faris signojn por montri nian dankon ne havante ion
alian kion ni povas doni al ili sed bonsxance ni baldaux kaptis
grandan donacon por ili cxar du sovagxaj bestoj de la sama speco pri
kiu mi jam priparolis venis plencxase de la montetoj al la maro

ili nagxis kvazaux ili venis por sportigi cxiuj forkuris de ili krom
tiu kiu portas la lancon unu el tiuj bestoj alproksimigxis nian
boaton tial mi gxin atendis kun mia pafilo kaj tuj kiam gxi estis en
pafspaco mi gxin pafis tra la kapo dufoje gxi subakvigxis kaj dufoje gxi
suprenlevigxis kaj poste gxi nagxis alteren kaj falis senviva la viroj
tiom timis pro la pafilbruo kiom ili antauxe timis je la vidajxo de la
bestoj sed kiam mi faris signojn por ke ili venu al la marbordo ili
tuj venis

ili rapidis al sia rabajxo kaj tordante cxirkaux gxi sxnuregon ili gxin
sendangxere eltiris surteron

ni nun lasis niajn sovagxulojn kaj iradis dekdu tagojn plu la terbordo
antaux ni etendis sin kvar aux kvin mejlojn  aux  kilometrojn
bekforme kaj ni devis veturi iom de la terbordo por atingi tiun
terpinton tiel ke ni portempe ne vidis teron

mi konfidis la direktilon al zuro kaj sidigxis por pripensi tion kion
estos plej bone nun fari kiam subite mi auxdis ke la knabo krias
sxipon kun velo sxipon kun velo li ne montris multe da gxojo je la
vidajxo opiniante ke la sxipo venis por repreni lin sed mi bone
scias laux la sxajno ke gxi ne estas iu el la sxipoj de la turko

mi levis kiel eble plej multe da veloj por renkonti la sxipon gxiavoje
kaj ordonis al zuro ke li ekpafu pafilon cxar mi esperis ke se tiuj
kiuj estas sur la ferdeko ne povus auxdi la sonon ili vidus la
fumigadon ili ja gxin vidis kaj tuj demetis siajn velojn por ke ni
povu atingi ilin kaj trihore ni estis cxe la sxipflanko la viroj
parolis kun ni per la franca lingvo sed ni ne povis kompreni tion
kion ili diras fine skoto sursxipe diris per mia lingvo kiu vi
estas de kien vi venas mi diris al li iomvorte kiel mi liberigxis
de la mauxroj

tiam la sxipestro invitis min veni sxipbordon kaj ensxipis min zuron
kaj cxiujn miajn posedajxojn mi diris al li ke li havu cxion kion mi
havas sed li respondis vi estas rericevonta viajn posedajxojn post
kiam ni atingos teron cxar mi por vi nur faris tion kion por mi vi
farus samstate

li pagis al mi multan monon por mia boato kaj diris ke mi ricevos
egalan monon por zuro se mi lin fordonus sed mi diris al li ke
liberigxinte kun helpo de la knabo mi lin ne volas vendi li diris ke
estas juste kaj prave por mi tiel senti sed se mi decidus fordoni
zuron li estus liberigota dujare tial cxar la sklavo deziris iri mi
nenial diris ne trisemajne mi alvenis al cxiuj sanktuloj golfeto kaj
nun mi estis liberulo

mi ricevis multan monon por cxiujn miaj posedajxoj kaj kun gxi mi iris
surteron sed mi tute ne sciis kion nun fari fine mi renkontis
viron kies stato estas laux la mia kaj ni ambaux akiris pecon da tero
por gxin prilabori mia farmilaro laux la lia estis malgranda sed ni
produktigis la farmojn suficxe por subteni nin sed ne plu ni bezonis
helpon kaj nun mi eksentis ke mi eraris ellasante la knabon

mi tute ne sxatis tiun manieron de vivo kion mi pensis cxu mi venis
tian longan vojon por fari tion kion mi lauxbone povus fari hejme kaj
kun miaj parencoj cxirkaux mi kaj pligrandigxis mia malgxojo cxar la
bonamiko kiu min alsxipis tien-cxi intencas nune lasi tiun-cxi
terbordon

kiam mi estis knabo kaj ekiris surmaron mi metis en la manojn de mia
onklino iom da mono pri kiu mia bonamiko diris ke mi bone farus se
mi gxin elspezus pro mia bieno tial post kiam li revenis hejmon li
alsendis iom da gxi kontante kaj la restajxon kiel tukoj sxtofoj
lanajxoj kaj similajxoj kiujn li acxetis mia onklino tiam metis en
liajn manojn iom da livroj kiel donaco al li por montri sian
dankecon pro cxio kion li faris por mi kaj per tiu mono li afable
acxetis sklavon por mi intertempe mi jam acxetis sklavon tial mi nun
havas du kaj cxio prosperis dum la sekvanta jaro"""

    i += 1
    if q == i: 
        #This text is under public domain
        #The Raven
        #Edgar Allan Poe
        return u"""once upon a midnight dreary while i pondered weak and weary
over many a quaint and curious volume of forgotten lore
while i nodded nearly napping suddenly there came a tapping
as of some one gently rapping rapping at my chamber door
tis some visiter i muttered tapping at my chamber door
only this and nothing more 

ah distinctly i remember it was in the bleak december
and each separate dying ember wrought its ghost upon the floor
eagerly i wished the morrow vainly i had sought to borrow
from my books surcease of sorrowsorrow for the lost lenore
for the rare and radiant maiden whom the angels name lenore
nameless here for evermore 

and the silken sad uncertain rustling of each purple curtain
thrilled mefilled me with fantastic terrors never felt before
so that now to still the beating of my heart i stood repeating
tis some visiter entreating entrance at my chamber door
some late visiter entreating entrance at my chamber door
this it is and nothing more 

presently my soul grew stronger hesitating then no longer
sir said i or madam truly your forgiveness i implore
but the fact is i was napping and so gently you came rapping
and so faintly you came tapping tapping at my chamber door
that i scarce was sure i heard youhere i opened wide the door
darkness there and nothing more 

deep into that darkness peering long i stood there wondering fearing
doubting dreaming dreams no mortals ever dared to dream before
but the silence was unbroken and the stillness gave no token
and the only word there spoken was the whispered word lenore
this i whispered and an echo murmured back the word lenore
merely this and nothing more 

back into the chamber turning all my soul within me burning
soon again i heard a tapping something louder than before
surely said i surely that is something at my window lattice
let me see then what thereat is and this mystery explore
let my heart be still a moment and this mystery explore
tis the wind and nothing more 

open here i flung the shutter when with many a flirt and flutter
in there stepped a stately raven of the saintly days of yore
not the least obeisance made he not a minute stopped or stayed he
but with mien of lord or lady perched above my chamber door
perched upon a bust of pallas just above my chamber door
perched and sat and nothing more 

then the ebony bird beguiling my sad fancy into smiling
by the grave and stern decorum of the countenance it wore
though thy crest be shorn and shaven thou i said art sure no craven
ghastly grim and ancient raven wandering from the nightly shore
tell me what thy lordly name is on the nights plutonian shore
quoth the raven nevermore 

much i marvelled this ungainly fowl to hear discourse so plainly
though its answer little meaninglittle relevancy bore
for we cannot help agreeing that no living human being
ever yet was blessed with seeing bird above his chamber door
bird or beast upon the sculptured bust above his chamber door
with such name as nevermore 

but the raven sitting lonely on that placid bust spoke only
that one word as if its soul in that one word he did outpour
nothing farther then he uttered not a feather then he fluttered
till i scarcely more than muttered other friends have flown before
on the morrow he will leave me as my hopes have flown before
then the bird said nevermore 

startled at the stillness broken by reply so aptly spoken
doubtless said i what it utters is its only stock and store
caught from some unhappy master whom unmerciful disaster
followed fast and followed faster till his songs one burden bore
till the dirges of his hope that melancholy burden bore
of nevernevermore 

but the raven still beguiling all my sad soul into smiling
straight i wheeled a cushioned seat in front of bird and bust and door
then upon the velvet sinking i betook myself to linking
fancy unto fancy thinking what this ominous bird of yore
what this grim ungainly ghastly gaunt and ominous bird of yore
meant in croaking nevermore 

this i sat engaged in guessing but no syllable expressing
to the fowl whose fiery eyes now burned into my bosoms core
this and more i sat divining with my head at ease reclining
on the cushions velvet lining that the lamplight gloated oer
but whose velvet violet lining with the lamplight gloating oer
she shall press ah nevermore 

then methought the air grew denser perfumed from an unseen censer
swung by seraphim whose footfalls tinkled on the tufted floor
wretch i cried thy god hath lent theeby these angels he hath sent thee
respiterespite and nepenthe from thy memories of lenore
quaff oh quaff this kind nepenthe and forget this lost lenore
quoth the raven nevermore 

prophet said i thing of evilprophet still if bird or devil
whether tempter sent or whether tempest tossed thee here ashore
desolate yet all undaunted on this desert land enchanted
on this home by horror hauntedtell me truly i implore
is thereis there balm in gileadtell metell me i implore
quoth the raven nevermore 

prophet said i thing of evilprophet still if bird or devil
by that heaven that bends above usby that god we both adore
tell this soul with sorrow laden if within the distant aidenn
it shall clasp a sainted maiden whom the angels name lenore
clasp a rare and radiant maiden whom the angels name lenore
quoth the raven nevermore 

be that our sign of parting bird or fiend i shrieked upstarting
get thee back into the tempest and the nights plutonian shore
leave no black plume as a token of that lie thy soul has spoken
leave my loneliness unbrokenquit the bust above my door
take thy beak from out my heart and take thy form from off my door
quoth the raven nevermore 

and the raven never flitting still is sitting still is sitting
on the pallid bust of pallas just above my chamber door
and his eyes have all the seeming of a demons that is dreaming
and the lamplight oer him streaming throws his shadows on the floor
and my soul from out that shadow that lies floating on the floor
shall be lifted nevermore"""

    i += 1
    if q == i: 
        #This text is under public domain
        #Tierra y Luna
        #Federico García Lorca
        return u"""me quedo con el transparente hombrecillo
que come los huevos de la golondrina
me quedo con el nino desnudo
que pisotean los borrachos de brooklyn
con las criaturas mudas que pasan bajo los arcos
con el arroyo de venas ansioso de abrir sus manecitas

tierra tan sólo tierra
tierra para los manteles estremecidos
para la pupila viciosa de nube
para las heridas recientes y el húmedo pensamiento
tierra para todo lo que huye de la tierra

no es la ceniza en vilo de las cosas quemadas
ni los muertos que mueven sus lenguas bajo los árboles
es la tierra desnuda que bala por el cielo
y deja atrás los grupos ligeros de ballenas

es la tierra alegrísima imperturbable nadadora
la que yo encuentro en el nino y en las criaturas que pasan los arcos
viva la tierra de mi pulso y del baile de los helechos
que deja a veces por el aire un duro perfil de faraón

me quedo con la mujer fría
donde se queman los musgos inocentes
me quedo con los borrachos de brooklyn
que pisan al nino desnudo
me quedo con los signos desgarrados
de la lenta comida de los osos

pero entonces baja la luna despenada por las escaleras
poniendo las ciudades de hule celeste y talco sensitivo
llenando los pies de mármol la llanura sin recodos
y olvidando bajo las sillas diminutas carcajadas de algodón

oh diana diana diana vacía
convexa resonancia donde la abeja se vuelve loca
mi amor de paso tránsito larga muerte gustada
nunca la piel ilesa de tu desnudo huido

es tierra dios mío tierra lo que vengo buscando
embozo de horizonte latido y sepultura
es dolor que se acaba y amor que se consume
torre de sangre abierta con las manos quemadas

pero la luna subía y bajaba las escaleras
repartiendo lentejas desangradas en los ojos
dando escobazos de plata a los ninos de los muelles
y borrando mi apariencia por el término del aire"""
    
    i += 1
    if q == i: 
        #This text is under public domain
        #Hemsöborna
        #August Strindberg (1912-1921)
        return u"""han kom som ett yrväder en aprilafton och hade
ett höganäskrus i en svångrem om halsen clara
och lotten voro inne med skötekan att hämta
honom på dalarö brygga men det dröjde evigheter
innan de kommo i båt de skulle till handelsman
och ha en tunna tjära och på abeteket och hämta
gråsalva åt grisen och så skulle de på posten och
få ett frimärke och så skulle de ner till fia lövström
i kroken och låna tuppen mot ett halvpund
småtärna till notbygget och sist hade de hamnat på
gästgivaregården där carlsson bjudit på kaffe med
dopp och så kommo de äntligen i båt men carlsson
ville styra och det kunde han inte för han hade
aldrig sett en råseglare förr och därför skrek han
att de skulle hissa focken som inte fanns

och på tullbryggan stodo lotsar och vaktmästare
och grinade åt manövern när ekan gick över stag
och länsade ner åt saltsäcken

hörru du har hål i båten skrek en lotslärling
genom vinden stopp till stopp till och medan
carlsson tittade efter hålen hade clara knuffat
undan honom och tagit roret och med årorna lyckades
lotten få ekan opp i vinden igen så att nu strök
det ner åt aspösund med god gång

carlsson var en liten fyrkantig värmländing med
blå ögon och näsa krokig som en syskonhake livlig
lekfull och nyfiken var han men sjöaffärerna förstod
han inte alls och han var också kallad ut till
hemsö för att ta hand om åker och kreatur som
ingen annan ville ta befattning med sedan gubben
flod gått ur livet och änkan satt ensam vid gården"""
    
    # if we got this far - let's return this crap (instead of throwing)
    return u"""fubar1 fubar2 fubar3
foobar1 foobar2 foobar3 foobar4 foobar5
baroba1

raboof1"""


from optparse import OptionParser

def do_parse():

    usage = """Usage:    lorem [-n|-l|-c] N [-q M]?
          where
          N and M are integers

Note:     If -n -l and/or -c are combined -l has priority over -c that has
          priority over -n.

Examples: lorem -n 10
          Get 10 words of lorem.

          lorem -l 5
          Get 5 lines of lorem

          lorem -c 79
          Get 79 characters of lorem

          lorem -l 5 -q 11
          Get 5 lines of lorem from quote 11

License:  Copyright (C) 2007 Per Erik Strandberg
          This program comes with ABSOLUTELY NO WARRANTY.

          This is free software, and you are welcome to redistribute it
          under the GNU GENERAL PUBLIC LICENSE Version 3.  
"""    

    versioninfo = "%s version %s\n%s\n\n%s" % (program, version, #
        copyright, license) 

    parser = OptionParser(usage=usage, version = versioninfo)

    parser.add_option('-n', dest='n', help="Number of Words", default=0)
    parser.add_option('-l', dest='l', help="Number of Lines", default=0)
    parser.add_option('-c', dest='c', help="Number of Chars", default=0)
    parser.add_option('-q', dest='q', help="Quote index (0+)", default=0)
    (options, args) = parser.parse_args()

    try:
        options.n = int(options.n)
        options.l = int(options.l)
        options.c = int(options.c)
        options.q = int(options.q)
    except:
        parser.error("At least one of the arguments is not an integer.")

    for m in [options.n, options.l, options.c, options.q]:
        if m < 0:
            parser.error("Negative argument.")
            
    if options.n == 0 and options.l == 0 and options.c == 0:
        parser.error("No arguments, try 'lorem -n 25'.")

    return (options, args)


def do_lorem(n=0, l=0, c=0, q=0):

    lorem = get_lorem(q)

    res = ''
    if l!=0:
        #do lines
        lorem = lorem.replace('\n\n','\n')
        lines = lorem.split('\n')

        while l:
            if l > len(lines):
                l1 = len(lines)
                l -= l1
            else:
                l1 = l
                l = 0

            for i in xrange(l1):
                res += lines[i].strip()+'\n'

    elif c!=0:
        # do chars
        chars = lorem
        chars = chars.replace('\n', ' ')
        chars = chars.replace('  ', ' ')

        outchars = []

        while c:
            if c > len(chars):
                c1 = len(chars)
                c -= c1
                outchars.append(chars)
            else:
                c1 = c
                c = 0
                outchars.append(chars[0:c1])

        res += join(outchars,'')+'\n'

    else:
        # do words
        words = lorem.replace('\n\n','\n')
        words = words.replace('\n', ' ')
        words = words.replace('  ', ' ')
        words = words.split(' ')

        while n:
            if n > len(words):
                n1 = len(words)
                n -= n1
            else:
                n1 = n
                n = 0

            for i in xrange(n1):
                res += words[i]+' '

    return res

